using System;
using System.Collections.Generic;

namespace Baza_Reklam.Classes.Repositories
{
    public class Repository<T> : IRepository<T>
    {
        public virtual T Find(int id)
        {
            throw new NotImplementedException();
        }

        public virtual List<T> FindAll()
        {
            throw new NotImplementedException();
        }

        public void Save()
        {
            throw new NotImplementedException();
        }

        public void Delete()
        {
            throw new NotImplementedException();
        }
    }
}
